Subject: Re: bug#64589: 30.0.50; smie-config-guess can break ruby indentation

From: Stefan Monnier <[email-masked]>
Date: Thu, 19 Oct 2023 22:15:52 -0400

> Perhaps we'll simply end up documenting that it doesn't work for all SMIE
> modes, just for some. And dtrt-indent will have a whitelist.

It's definitely the case that it's a "best effort" kind of tool, which
makes assumptions that don't always hold.
Using it unconditionally like `dtrt-indent` does seems ... optimistic,
but I'll take it as a compliment :-)

        Stefan